GET Get General Settings

This API retrieves global AI interview general settings configured for the company.

Request URL

GET /ai-interviews/settings/general

Warning

Make sure to add your API key in the Header of the request using the key apiKey.

Response

{
    "general": {
        "cutoff": 5,
        "duration": {
            "min": 15,
            "max": 30
        },
        "mobile_friendly": false,
        "voice": ["american", "male"],
        "language": "English"
    }
}

The general.voice field is returned as a two-element array [accent, gender], normalized from the stored internal voice identifier.

Field

Type

Description

cutoff

number

Interview cutoff score. Must be between 0 and 10.

duration.min

number

Minimum interview duration in minutes.

duration.max

number

Maximum interview duration in minutes.

mobile_friendly

boolean

Whether the interview can be taken on mobile devices.

voice

array

[accent, gender]; allowed pairs in the table below.

language

string

Preferred interview language.

Possible accent and gender values (response)

The first element is accent, the second is gender (male or female).

accent

male

female

american

british

african_american

-

arabic

australian

-

indian